B:cEA
A:B
E:B
C:Db
D:C
@cBDc
A:DBCE
B:EA
C:AD
D:CA
E:BA
@BAAE
A:DBCE
B:EA
C:AD
D:CA
E:BA
@EBAE
A:bCD
D:BACG
F:He
G:HED
B:aD
E:FGH
H:FEG
c:AD
@Acfh
A:b
B:A
@abab
A:b
B:A
@abba
A:BCD
D:BACG
F:HE
G:HED
B:AD
E:FGH
H:FEG
C:AD
@ACDG
#